## net.dontdrinkandroot.wicket.model.date
Class DateDayModel

    java.lang.Object
      net.dontdrinkandroot.wicket.model.date.AbstractDateCalendarModel<java.lang.Integer>
          net.dontdrinkandroot.wicket.model.date.DateDayModel

All Implemented Interfaces:
  java.io.Serializable, org.apache.wicket.model.IDetachable, org.apache.wicket.model.IModel<java.lang.Integer>, org.apache.wicket.util.io.IClusterable

    public class DateDayModel

extends AbstractDateCalendarModel<java.lang.Integer>

See Also:
  Serialized Form

Constructor Summary
`DateDayModel(org.apache.wicket.model.IModel<java.util.Date> parent)`

Method Summary
`protected java.lang.Integer` `getFromCalendar(java.util.Calendar calendar)`
`protected void` `setToCalendar(java.lang.Integer object, java.util.Calendar calendar)`

Methods inherited from class net.dontdrinkandroot.wicket.model.date.AbstractDateCalendarModel
`detach, getObject, setObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateDayModel

    public DateDayModel(org.apache.wicket.model.IModel<java.util.Date> parent)

Method Detail

### getFromCalendar

    protected java.lang.Integer getFromCalendar(java.util.Calendar calendar)

  Specified by:
    `getFromCalendar` in class `AbstractDateCalendarModel<java.lang.Integer>`

### setToCalendar

    protected void setToCalendar(java.lang.Integer object,
                                 java.util.Calendar calendar)

  Specified by:
    `setToCalendar` in class `AbstractDateCalendarModel<java.lang.Integer>`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.